Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel.impl
Class JmsProviderTypeImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.jboss.soa.esb.listeners.config.xbeanmodel.impl.ProviderImpl
                  org.jboss.soa.esb.listeners.config.xbeanmodel.impl.BusProviderImpl
                      org.jboss.soa.esb.listeners.config.xbeanmodel.impl.JmsProviderTypeImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource, BusProvider, JmsProviderType, Provider

Direct Known Subclasses:
  JmsJcaProviderDocumentImpl.JmsJcaProviderImpl

    public class JmsProviderTypeImpl

extends BusProviderImpl
implements JmsProviderType

An XML jms-provider-type(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.JmsProviderType
`JmsProviderType.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.JmsProviderType
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`JmsProviderTypeImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`java.lang.String` | `getConnectionFactory()` Gets the "connection-factory" attribute
`java.lang.String` | `getJndiContextFactory()` Gets the "jndi-context-factory" attribute
`java.lang.String` | `getJndiPkgPrefix()` Gets the "jndi-pkg-prefix" attribute
`java.lang.String` | `getJndiURL()` Gets the "jndi-URL" attribute
`boolean` | `isSetJndiContextFactory()` True if has "jndi-context-factory" attribute
`boolean` | `isSetJndiPkgPrefix()` True if has "jndi-pkg-prefix" attribute
`boolean` | `isSetJndiURL()` True if has "jndi-URL" attribute
`void` | `setConnectionFactory(java.lang.String connectionFactory)` Sets the "connection-factory" attribute
`void` | `setJndiContextFactory(java.lang.String jndiContextFactory)` Sets the "jndi-context-factory" attribute
`void` | `setJndiPkgPrefix(java.lang.String jndiPkgPrefix)` Sets the "jndi-pkg-prefix" attribute
`void` | `setJndiURL(java.lang.String jndiURL)` Sets the "jndi-URL" attribute
`void` | `unsetJndiContextFactory()` Unsets the "jndi-context-factory" attribute
`void` | `unsetJndiPkgPrefix()` Unsets the "jndi-pkg-prefix" attribute
`void` | `unsetJndiURL()` Unsets the "jndi-URL" attribute
`org.apache.xmlbeans.XmlString` | `xgetConnectionFactory()` Gets (as xml) the "connection-factory" attribute
`org.apache.xmlbeans.XmlString` | `xgetJndiContextFactory()` Gets (as xml) the "jndi-context-factory" attribute
`org.apache.xmlbeans.XmlString` | `xgetJndiPkgPrefix()` Gets (as xml) the "jndi-pkg-prefix" attribute
`org.apache.xmlbeans.XmlAnyURI` | `xgetJndiURL()` Gets (as xml) the "jndi-URL" attribute
`void` | `xsetConnectionFactory(org.apache.xmlbeans.XmlString connectionFactory)` Sets (as xml) the "connection-factory" attribute
`void` | `xsetJndiContextFactory(org.apache.xmlbeans.XmlString jndiContextFactory)` Sets (as xml) the "jndi-context-factory" attribute
`void` | `xsetJndiPkgPrefix(org.apache.xmlbeans.XmlString jndiPkgPrefix)` Sets (as xml) the "jndi-pkg-prefix" attribute
`void` | `xsetJndiURL(org.apache.xmlbeans.XmlAnyURI jndiURL)` Sets (as xml) the "jndi-URL" attribute

Methods inherited from class org.jboss.soa.esb.listeners.config.xbeanmodel.impl.BusProviderImpl
`addNewBus, getBusArray, getBusArray, getBusList, insertNewBus, removeBus, setBusArray, setBusArray, sizeOfBusArray`

Methods inherited from class org.jboss.soa.esb.listeners.config.xbeanmodel.impl.ProviderImpl
`addNewProperty, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, removeProperty, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, xgetName, xsetName`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.BusProvider
`addNewBus, getBusArray, getBusArray, getBusList, insertNewBus, removeBus, setBusArray, setBusArray, sizeOfBusArray`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Provider
`addNewProperty, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, removeProperty, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, xgetName, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### JmsProviderTypeImpl

    public JmsProviderTypeImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getConnectionFactory

    public java.lang.String getConnectionFactory()

  Gets the "connection-factory" attribute

  Specified by:
    `getConnectionFactory` in interface `JmsProviderType`

### xgetConnectionFactory

    public org.apache.xmlbeans.XmlString xgetConnectionFactory()

  Gets (as xml) the "connection-factory" attribute

  Specified by:
    `xgetConnectionFactory` in interface `JmsProviderType`

### setConnectionFactory

    public void setConnectionFactory(java.lang.String connectionFactory)

  Sets the "connection-factory" attribute

  Specified by:
    `setConnectionFactory` in interface `JmsProviderType`

### xsetConnectionFactory

    public void xsetConnectionFactory(org.apache.xmlbeans.XmlString connectionFactory)

  Sets (as xml) the "connection-factory" attribute

  Specified by:
    `xsetConnectionFactory` in interface `JmsProviderType`

### getJndiContextFactory

    public java.lang.String getJndiContextFactory()

  Gets the "jndi-context-factory" attribute

  Specified by:
    `getJndiContextFactory` in interface `JmsProviderType`

### xgetJndiContextFactory

    public org.apache.xmlbeans.XmlString xgetJndiContextFactory()

  Gets (as xml) the "jndi-context-factory" attribute

  Specified by:
    `xgetJndiContextFactory` in interface `JmsProviderType`

### isSetJndiContextFactory

    public boolean isSetJndiContextFactory()

  True if has "jndi-context-factory" attribute

  Specified by:
    `isSetJndiContextFactory` in interface `JmsProviderType`

### setJndiContextFactory

    public void setJndiContextFactory(java.lang.String jndiContextFactory)

  Sets the "jndi-context-factory" attribute

  Specified by:
    `setJndiContextFactory` in interface `JmsProviderType`

### xsetJndiContextFactory

    public void xsetJndiContextFactory(org.apache.xmlbeans.XmlString jndiContextFactory)

  Sets (as xml) the "jndi-context-factory" attribute

  Specified by:
    `xsetJndiContextFactory` in interface `JmsProviderType`

### unsetJndiContextFactory

    public void unsetJndiContextFactory()

  Unsets the "jndi-context-factory" attribute

  Specified by:
    `unsetJndiContextFactory` in interface `JmsProviderType`

### getJndiPkgPrefix

    public java.lang.String getJndiPkgPrefix()

  Gets the "jndi-pkg-prefix" attribute

  Specified by:
    `getJndiPkgPrefix` in interface `JmsProviderType`

### xgetJndiPkgPrefix

    public org.apache.xmlbeans.XmlString xgetJndiPkgPrefix()

  Gets (as xml) the "jndi-pkg-prefix" attribute

  Specified by:
    `xgetJndiPkgPrefix` in interface `JmsProviderType`

### isSetJndiPkgPrefix

    public boolean isSetJndiPkgPrefix()

  True if has "jndi-pkg-prefix" attribute

  Specified by:
    `isSetJndiPkgPrefix` in interface `JmsProviderType`

### setJndiPkgPrefix

    public void setJndiPkgPrefix(java.lang.String jndiPkgPrefix)

  Sets the "jndi-pkg-prefix" attribute

  Specified by:
    `setJndiPkgPrefix` in interface `JmsProviderType`

### xsetJndiPkgPrefix

    public void xsetJndiPkgPrefix(org.apache.xmlbeans.XmlString jndiPkgPrefix)

  Sets (as xml) the "jndi-pkg-prefix" attribute

  Specified by:
    `xsetJndiPkgPrefix` in interface `JmsProviderType`

### unsetJndiPkgPrefix

    public void unsetJndiPkgPrefix()

  Unsets the "jndi-pkg-prefix" attribute

  Specified by:
    `unsetJndiPkgPrefix` in interface `JmsProviderType`

### getJndiURL

    public java.lang.String getJndiURL()

  Gets the "jndi-URL" attribute

  Specified by:
    `getJndiURL` in interface `JmsProviderType`

### xgetJndiURL

    public org.apache.xmlbeans.XmlAnyURI xgetJndiURL()

  Gets (as xml) the "jndi-URL" attribute

  Specified by:
    `xgetJndiURL` in interface `JmsProviderType`

### isSetJndiURL

    public boolean isSetJndiURL()

  True if has "jndi-URL" attribute

  Specified by:
    `isSetJndiURL` in interface `JmsProviderType`

### setJndiURL

    public void setJndiURL(java.lang.String jndiURL)

  Sets the "jndi-URL" attribute

  Specified by:
    `setJndiURL` in interface `JmsProviderType`

### xsetJndiURL

    public void xsetJndiURL(org.apache.xmlbeans.XmlAnyURI jndiURL)

  Sets (as xml) the "jndi-URL" attribute

  Specified by:
    `xsetJndiURL` in interface `JmsProviderType`

### unsetJndiURL

    public void unsetJndiURL()

  Unsets the "jndi-URL" attribute

  Specified by:
    `unsetJndiURL` in interface `JmsProviderType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD